mir-blas 0.0.2

NDSLICE wrapper for BLAS


To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

mir-blas

NDSLICE wrapper for BLAS

Required static libraries

  • blas/cblas - CBLAS API

Wrapped API

Level 1

  • dot

Level 2

  • gemv

Level 3

  • gemm
  • syrk

This work has been sponsored by Symmetry Investments and Kaleidic Associates.

Authors:
Ilya Yaroshenko
Dependencies:
mir-algorithm, cblas
Versions:
0.0.2 2017-Jun-05
0.0.1 2017-May-25
~master 2017-Jun-05
Show all 3 versions
Download Stats:
  • 0 downloads today

  • 0 downloads this week

  • 6 downloads this month

  • 114 downloads total